bt_packet_logger_client_free
bt_packet_logger_client_new
bt_packet_logger_client_start_service
bt_packet_logger_client_t
bt_packet_logger_error_t
bt_packet_logger_receive_cb_t
bt_packet_logger_receive_with_timeout
bt_packet_logger_start_capture
bt_packet_logger_stop_capture

## bt_packet_logger_start_capture()

LIBIMOBILEDEVICE_API bt_packet_logger_error_t bt_packet_logger_start_capture | ( | bt_packet_logger_client_t | client,
|  | bt_packet_logger_receive_cb_t | callback,
|  | void * | user_data )

Starts capturing the hci interface from the device using a callback.

Use bt_packet_logger_stop_capture() to stop receiving hci data.

Parameters

  client | The bt_packet_logger client to use
  callback | Callback to receive each packet from the hci interface.
  user_data | Custom pointer passed to the callback function.

Returns
  BT_PACKET_LOGGER_E_SUCCESS on success, BT_PACKET_LOGGER_E_INVALID_ARG when one or more parameters are invalid or BT_PACKET_LOGGER_E_UNKNOWN_ERROR when an unspecified error occurs or an hci capture has already been started.